function [A,b]=Assembly_Robin(bvp,A,b,VFInd,idxlab)
  for i=idxlab 
    if ~isempty(bvp.pdes{i})
      [Ai,bi]=bvp.pdes{i}.Assembly(bvp.Th.sTh{i},'block',true);
      for l=1:bvp.m
        if bvp.pdes{i}.delta(l)==1 % Robin
          tgl=VFInd(bvp.Th.sTh{i}.toParent,l);   
          for k=1:bvp.m
            if ~isempty(Ai{l,k})
              tgk=VFInd(bvp.Th.sTh{i}.toParent,k);    
              A(tgl,tgk)=A(tgl,tgk)+Ai{l,k};
            end
          end
          if ~isempty(bi{l})
              b(tgl)=b(tgl)+bi{l};
          end         
        end
      end
    end
  end
end
